"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const env_1 = require("../env");
const loaders_1 = require("../webpack/loaders");
const plugins_1 = require("../webpack/plugins");
const ENV = tslib_1.__importStar(require("../env"));
const devConfig = {
    resolve: {
        symlinks: true,
        extensions: ['.ts', '.tsx', '.js', '.jsx', '.styl'],
    },
    resolveLoader: {
        modules: [ENV.TOOLS_NODE_MODULES_PATH],
    },
    entry: [require.resolve(`${env_1.SRC_PATH}/index.tsx`)],
    module: {
        rules: [
            {
                oneOf: [
                    {
                        test: loaders_1.TS_PATTERN,
                        use: [loaders_1.babelLoader, loaders_1.tsLoader],
                    },
                    {
                        test: loaders_1.STYLUS_PATTERN,
                        use: [loaders_1.styleLoader, loaders_1.cssLoader, loaders_1.postcssLoader, loaders_1.stylusLoader],
                    },
                    {
                        test: loaders_1.CSS_PATTERN,
                        use: [loaders_1.styleLoader, loaders_1.cssLoader, loaders_1.postcssLoader],
                    },
                    {
                        exclude: loaders_1.FILE_LOADER_EXCLUDES,
                        use: [loaders_1.fileLoader],
                    },
                ],
            },
        ],
    },
    plugins: [plugins_1.createHtmlPlugin(), plugins_1.createForkTSCheckerPlugin()],
};
exports.default = devConfig;
