"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const autoprefixer_1 = tslib_1.__importDefault(require("autoprefixer"));
// JavaScript and Typescript compilation
exports.TS_PATTERN = /\.tsx?$/;
exports.babelLoader = {
    loader: require.resolve('babel-loader'),
};
exports.tsLoader = {
    loader: require.resolve('ts-loader'),
    options: {
        transpileOnly: true,
    },
};
// Styles processing
exports.STYLUS_PATTERN = /\.styl$/;
exports.CSS_PATTERN = /\.css$/;
exports.cssLoader = {
    loader: require.resolve('css-loader'),
    options: {
        importLoaders: 1,
        modules: true,
        localIdentName: '[name]__[local]__[hash:base64:5]',
    },
};
exports.styleLoader = {
    loader: require.resolve('style-loader'),
};
exports.postcssLoader = {
    loader: require.resolve('postcss-loader'),
    options: {
        plugins: () => [
            autoprefixer_1.default({
                flexbox: 'no-2009',
            }),
        ],
    },
};
exports.stylusLoader = {
    loader: require.resolve('stylus-loader'),
    options: {
        nocheck: true,
        'include css': true,
        'resolve url': true,
    },
};
// file-loaders
exports.FILE_LOADER_EXCLUDES = [/\.(ts|tsx)$/, /\.(js|jsx|mjs)$/, /\.html$/, /\.json$/, /\.ejs/];
exports.fileLoader = {
    loader: require.resolve('file-loader'),
    options: {
        name: '[path][name].[ext]?[hash]',
        context: 'src',
    },
};
exports.urlLoader = {
    loader: require.resolve('url-loader'),
};
