"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const program_1 = require("../utils/program");
const constants_1 = require("./constants");
const env_1 = require("../config/env");
const path_1 = tslib_1.__importDefault(require("path"));
const ts_transform_1 = require("../tasks/ts-transform");
const sync_1 = require("../tasks/sync");
const program = program_1.getProgramForScript(constants_1.Scripts.BUILD_LIB);
program
    .command('build-lib <src> <dist>')
    .option('-w, --watch', 'start in watch mode')
    .option('-f, --failOnError', 'start in watch mode')
    .option('-p, --project <project>', 'relative path to tsconfig.json')
    .action(function (src, dist, options) {
    const SRC_PATH = path_1.default.join(env_1.ROOT, src);
    const DIST_PATH = path_1.default.join(env_1.ROOT, dist);
    const TSCONFIG_PATH = path_1.default.join(env_1.ROOT, options.project);
    sync_1.startSync(SRC_PATH, DIST_PATH, options.watch);
    ts_transform_1.startTransform(SRC_PATH, DIST_PATH, TSCONFIG_PATH, options.watch, options.failOnError);
});
program.parse(process.argv);
