"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
const WebpackDevServerUtils_1 = require("react-dev-utils/WebpackDevServerUtils");
const program_1 = require("../utils/program");
const constants_1 = require("./constants");
const program = program_1.getProgramForScript(constants_1.Scripts.STORYBOOK);
console.log('starting...');
const defaultConfigPath = path_1.default.resolve(__dirname, '../config/storybook');
program
    .command('storybook')
    .option('-p, --port [portnumber]', 'storybook port', value => parseInt(value, 10), 9001)
    .option('-h, --host [hostname]', 'storybook host', 'localhost')
    .action(function (options) {
    return WebpackDevServerUtils_1.choosePort(options.host, options.port).then(port => {
        if (!port) {
            throw new Error(`Port ${options.port} already in use`);
        }
        process.argv.push('-c', defaultConfigPath);
        process.argv.push('--port', port.toString());
        process.argv.push('--host', options.host.toString());
        // eslint-disable-next-line @typescript-eslint/no-require-imports
        require('@storybook/react/dist/server'); // tslint:disable-line no-require-imports
    });
});
program.parse(process.argv);
