"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const child_process_utils_1 = require("../utils/child-process.utils");
const path_1 = tslib_1.__importDefault(require("path"));
exports.startSync = (src, dist, isWatch) => {
    const srcFolder = path_1.default.relative(process.cwd(), src);
    const distFolder = path_1.default.relative(process.cwd(), dist);
    const args = [`-d=false`, `${srcFolder}/**/*`, `!${srcFolder}/**/*.{ts,tsx}`, `${distFolder}`];
    if (isWatch) {
        args.push('-w');
    }
    return child_process_utils_1.spawnStreaming(`${require.resolve('sync-glob/bin/sync-glob')}`, 'sync-glob', args);
};
