"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_utils_1 = require("../utils/child-process.utils");
const onTscExit = (shouldFailOnError) => (code, signal) => {
    if (code > 0 && shouldFailOnError) {
        process.exitCode = 1;
    }
};
exports.startTransform = (src, dist, tsconfig, isWatch, shouldFailOnError) => {
    const args = ['-p', tsconfig, '--outDir', dist];
    if (isWatch) {
        args.push('-w');
    }
    else {
        args.push('--diagnostics');
    }
    return child_process_utils_1.spawnStreaming(`${require.resolve('typescript/bin/tsc')}`, 'tsc', args).on('exit', onTscExit(shouldFailOnError));
};
