"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const env_1 = require("../config/env");
const commander_1 = require("commander");
const registeredPrograms = {};
const createProgramAndRegister = (script) => {
    const program = new commander_1.Command();
    registeredPrograms[script] = program;
    program.version(env_1.TOOLS_PKG.version);
    return program;
};
exports.getProgramForScript = (script) => {
    return registeredPrograms[script] ? registeredPrograms[script] : createProgramAndRegister(script);
};
